Subject: bug#18249: 24.3; expected a button click, text pasted into button label instead

From: Andrea Rossetti <[email-masked]>
Date: Sun, 04 Aug 2019 15:06:54 +0200

Hello Lars,

Lars Ingebrigtsen <[email-masked]> writes:
> I tried this in Emacs 27, and I was unable to reproduce the bug.
> Holding down mouse-2 and moving the mouse around just moves text around,
> and releasing it doesn't do anything special on the button inserted.
>
> Are you still seeing this bug?

  and thanks for your feedback. I confirm I can still reproduce the
issue on these binaries:

https://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-27/emacs-27.0.50-snapshot-2019-06-08-x86_64.zip

M-x version RET
  
GNU Emacs 27.0.50 (build 1, x86_64-w64-mingw32) of 2019-06-09

  Tentative explanation: if you tested on a Linux workstation, then it
could be a Windows-only problem. Or maybe my step 6b is ambiguous or
hard to follow. Let me retry:

  Maybe describing 6b more naively may help, let me try:

  6b) press mouse-2 outside [ciao], drag mouse inside [ciao], release mouse-2. 
      Instead of clicking the button, it pastes text inside the button.

Cheers!